Initiate SAML protocol
- GET /users/auth/saml/_init
Calls the authentication cluster to initiate SAML Single Sign-on (Web Browser SSO profile) protocol and redirects the user to the identity provider for authentication. The authentication cluster must be configured prior to initiation.
Responses
Redirects the client to the identity provider with a SAML authentication request
Response Type: EmptyResponse
The administrator needs to configure the authentication cluster. (code: authc.no_authentication_cluster)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The authentication cluster failed to process the request. The response body contains details about the error. (code: authc.authentication_cluster_error)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response